From 3414301f5951c1805aa9185cce13f421f09042de Mon Sep 17 00:00:00 2001
From: Pádraig Brady
Date: Sun, 22 Sep 2013 04:15:34 +0100
Subject: maint: move all id(1) tests to the same directory
* tests/misc/id-context.sh -> tests/id/context.sh
* tests/misc/id-setgid.sh -> tests/id/setgid.sh
* tests/misc/id-uid.sh -> tests/id/uid.sh
* tests/misc/id-zero.sh -> tests/id/zero.sh
* tests/local.mk: Reference the renamed tests
---
tests/id/context.sh | 32 ++++++++++++++++++++++++
tests/id/setgid.sh | 34 +++++++++++++++++++++++++
tests/id/uid.sh | 37 ++++++++++++++++++++++++++++
tests/id/zero.sh | 64 ++++++++++++++++++++++++++++++++++++++++++++++++
tests/local.mk | 10 ++++----
tests/misc/id-context.sh | 32 ------------------------
tests/misc/id-setgid.sh | 34 -------------------------
tests/misc/id-uid.sh | 37 ----------------------------
tests/misc/id-zero.sh | 64 ------------------------------------------------
9 files changed, 172 insertions(+), 172 deletions(-)
create mode 100755 tests/id/context.sh
create mode 100755 tests/id/setgid.sh
create mode 100755 tests/id/uid.sh
create mode 100755 tests/id/zero.sh
delete mode 100755 tests/misc/id-context.sh
delete mode 100755 tests/misc/id-setgid.sh
delete mode 100755 tests/misc/id-uid.sh
delete mode 100755 tests/misc/id-zero.sh
diff --git a/tests/id/context.sh b/tests/id/context.sh
new file mode 100755
index 000000000..dc0230335
--- /dev/null
+++ b/tests/id/context.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Ensure that "id" outputs SELinux context only without specified user
+# Copyright (C) 2008-2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ id
+# Require selinux - when selinux is disabled, id never prints scontext.
+require_selinux_
+
+
+# Check without specified user, context string should be present.
+id | grep context= >/dev/null || fail=1
+
+# Check with specified user, no context string should be present.
+# But if the current user is nameless, skip this part.
+id -nu > /dev/null \
+ && id $(id -nu) | grep context= >/dev/null && fail=1
+
+Exit $fail
diff --git a/tests/id/setgid.sh b/tests/id/setgid.sh
new file mode 100755
index 000000000..f29eec072
--- /dev/null
+++ b/tests/id/setgid.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Verify that id -G prints the right group when run set-GID.
+
+# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ id
+require_root_
+
+g=$(id -u $NON_ROOT_USERNAME) || framework_failure_
+
+# Construct a different group number.
+gp1=$(expr $g + 1)
+
+echo $gp1 > exp || framework_failure_
+
+setuidgid -g $gp1 $NON_ROOT_USERNAME env PATH="$PATH" id -G > out || fail=1
+compare exp out || fail=1
+# With coreutils-8.16 and earlier, id -G would print both: $gp1 $g
+
+Exit $fail
diff --git a/tests/id/uid.sh b/tests/id/uid.sh
new file mode 100755
index 000000000..13f5663a6
--- /dev/null
+++ b/tests/id/uid.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Ensure that "id" works with numeric user ids
+# Copyright (C) 2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ id
+
+uid=$(id -u) || fail=1
+user=$(id -nu) || fail=1
+
+# Ensure the empty user spec is discarded
+id '' && fail=1
+
+for mode in '' '-G' '-g'; do
+ id $mode $user > user_out || fail=1 # lookup name for comparison
+
+ id $mode $uid > uid_out || fail=1 # lookup name "$uid" before id "$uid"
+ compare user_out uid_out || fail=1
+
+ id $mode +$uid > uid_out || fail=1 # lookup only id "$uid"
+ compare user_out uid_out || fail=1
+done
+
+Exit $fail
diff --git a/tests/id/zero.sh b/tests/id/zero.sh
new file mode 100755
index 000000000..61a2c07ce
--- /dev/null
+++ b/tests/id/zero.sh
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Exercise "id --zero".
+
+# Copyright (C) 2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ id
+
+u="$( id -nu )"
+id || fail=1
+id "$u" || fail=1
+
+# id(1) should refuse --zero in default format.
+echo 'id: option --zero not permitted in default format' > err-exp \
+ || framework_failure_
+id --zero > out 2>err && fail=1
+compare /dev/null out || fail=1
+compare err-exp err || fail=1
+
+# Create a nice list of users.
+# Add $USER to ensure we have at least one explicit entry.
+users="$u"
+# Add a few typical users to test single group and multiple groups.
+for u in root man postfix sshd nobody ; do
+ id $u >/dev/null 2>&1 && users="$users $u"
+done
+# Add $users and '' (implicit $USER) to list to process.
+printf '%s\n' $users '' >> users || framework_failure_
+
+# Exercise "id -z" with various options.
+printf '\n' > exp || framework_failure_
+:> out || framework_failure_
+
+while read u ; do
+ for o in g gr G Gr u ur ; do
+ for n in '' n ; do
+ printf '%s: ' "id -${o}${n}[z] $u" >> exp || framework_failure_
+ printf '\n%s: ' "id -${o}${n}[z] $u" >> out || framework_failure_
+ # There may be no name corresponding to an id, so don't check
+ # exit status when in name lookup mode
+ id -${o}${n} $u >> exp || { test -z "$n" && fail=1; }
+ id -${o}${n}z $u > tmp || { test -z "$n" && fail=1; }
+ head -c-1 < tmp >> out || framework_failure_
+ done
+ done
+done < users
+printf '\n' >> out || framework_failure_
+tr '\0' ' ' < out > out2 || framework_failure_
+compare exp out2 || fail=1
+
+Exit $fail
diff --git a/tests/local.mk b/tests/local.mk
index 1f3e82fe0..e18deacc7 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -116,12 +116,12 @@ all_root_tests = \
tests/dd/skip-seek-past-dev.sh \
tests/df/problematic-chars.sh \
tests/du/bind-mount-dir-cycle.sh \
+ tests/id/setgid.sh \
tests/install/install-C-root.sh \
tests/ls/capability.sh \
tests/ls/nameless-uid.sh \
tests/misc/chcon.sh \
tests/misc/chroot-credentials.sh \
- tests/misc/id-setgid.sh \
tests/misc/selinux.sh \
tests/misc/truncate-owned-by-other.sh \
tests/mkdir/writable-under-readonly.sh \
@@ -274,10 +274,6 @@ all_tests = \
tests/misc/groups-version.sh \
tests/misc/head-c.sh \
tests/misc/head-pos.sh \
- tests/misc/id-context.sh \
- tests/misc/id-uid.sh \
- tests/misc/id-setgid.sh \
- tests/misc/id-zero.sh \
tests/misc/md5sum.pl \
tests/misc/md5sum-bsd.sh \
tests/misc/md5sum-newline.pl \
@@ -510,6 +506,10 @@ all_tests = \
tests/du/two-args.sh \
tests/id/gnu-zero-uids.sh \
tests/id/no-context.sh \
+ tests/id/context.sh \
+ tests/id/uid.sh \
+ tests/id/setgid.sh \
+ tests/id/zero.sh \
tests/install/basic-1.sh \
tests/install/create-leading.sh \
tests/install/d-slashdot.sh \
diff --git a/tests/misc/id-context.sh b/tests/misc/id-context.sh
deleted file mode 100755
index dc0230335..000000000
--- a/tests/misc/id-context.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-# Ensure that "id" outputs SELinux context only without specified user
-# Copyright (C) 2008-2013 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see .
-
-. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
-print_ver_ id
-# Require selinux - when selinux is disabled, id never prints scontext.
-require_selinux_
-
-
-# Check without specified user, context string should be present.
-id | grep context= >/dev/null || fail=1
-
-# Check with specified user, no context string should be present.
-# But if the current user is nameless, skip this part.
-id -nu > /dev/null \
- && id $(id -nu) | grep context= >/dev/null && fail=1
-
-Exit $fail
diff --git a/tests/misc/id-setgid.sh b/tests/misc/id-setgid.sh
deleted file mode 100755
index f29eec072..000000000
--- a/tests/misc/id-setgid.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-# Verify that id -G prints the right group when run set-GID.
-
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see .
-
-. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
-print_ver_ id
-require_root_
-
-g=$(id -u $NON_ROOT_USERNAME) || framework_failure_
-
-# Construct a different group number.
-gp1=$(expr $g + 1)
-
-echo $gp1 > exp || framework_failure_
-
-setuidgid -g $gp1 $NON_ROOT_USERNAME env PATH="$PATH" id -G > out || fail=1
-compare exp out || fail=1
-# With coreutils-8.16 and earlier, id -G would print both: $gp1 $g
-
-Exit $fail
diff --git a/tests/misc/id-uid.sh b/tests/misc/id-uid.sh
deleted file mode 100755
index 13f5663a6..000000000
--- a/tests/misc/id-uid.sh
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/bin/sh
-# Ensure that "id" works with numeric user ids
-# Copyright (C) 2013 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see .
-
-. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
-print_ver_ id
-
-uid=$(id -u) || fail=1
-user=$(id -nu) || fail=1
-
-# Ensure the empty user spec is discarded
-id '' && fail=1
-
-for mode in '' '-G' '-g'; do
- id $mode $user > user_out || fail=1 # lookup name for comparison
-
- id $mode $uid > uid_out || fail=1 # lookup name "$uid" before id "$uid"
- compare user_out uid_out || fail=1
-
- id $mode +$uid > uid_out || fail=1 # lookup only id "$uid"
- compare user_out uid_out || fail=1
-done
-
-Exit $fail
diff --git a/tests/misc/id-zero.sh b/tests/misc/id-zero.sh
deleted file mode 100755
index 61a2c07ce..000000000
--- a/tests/misc/id-zero.sh
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/bin/sh
-# Exercise "id --zero".
-
-# Copyright (C) 2013 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see .
-
-. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
-print_ver_ id
-
-u="$( id -nu )"
-id || fail=1
-id "$u" || fail=1
-
-# id(1) should refuse --zero in default format.
-echo 'id: option --zero not permitted in default format' > err-exp \
- || framework_failure_
-id --zero > out 2>err && fail=1
-compare /dev/null out || fail=1
-compare err-exp err || fail=1
-
-# Create a nice list of users.
-# Add $USER to ensure we have at least one explicit entry.
-users="$u"
-# Add a few typical users to test single group and multiple groups.
-for u in root man postfix sshd nobody ; do
- id $u >/dev/null 2>&1 && users="$users $u"
-done
-# Add $users and '' (implicit $USER) to list to process.
-printf '%s\n' $users '' >> users || framework_failure_
-
-# Exercise "id -z" with various options.
-printf '\n' > exp || framework_failure_
-:> out || framework_failure_
-
-while read u ; do
- for o in g gr G Gr u ur ; do
- for n in '' n ; do
- printf '%s: ' "id -${o}${n}[z] $u" >> exp || framework_failure_
- printf '\n%s: ' "id -${o}${n}[z] $u" >> out || framework_failure_
- # There may be no name corresponding to an id, so don't check
- # exit status when in name lookup mode
- id -${o}${n} $u >> exp || { test -z "$n" && fail=1; }
- id -${o}${n}z $u > tmp || { test -z "$n" && fail=1; }
- head -c-1 < tmp >> out || framework_failure_
- done
- done
-done < users
-printf '\n' >> out || framework_failure_
-tr '\0' ' ' < out > out2 || framework_failure_
-compare exp out2 || fail=1
-
-Exit $fail
--
cgit v1.2.3-70-g09d2